GuideLab Docs

Get a version with its product and bundle rules

GET
/price-lists/{priceListId}/versions/{versionId}

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

priceListId*string
Length1 <= length
versionId*string
Length1 <= length

Response Body

application/json

curl -X GET "https://example.com/price-lists/string/versions/string"
{  "version": {    "id": "string",    "labId": "string",    "priceListId": "string",    "currency": "string",    "publicationNumber": 0,    "defaultDiscountPercent": "string",    "revision": 0,    "effectiveFrom": "2019-08-24T14:15:22Z",    "effectiveUntil": "2019-08-24T14:15:22Z",    "createdBy": "string",    "publishedAt": "2019-08-24T14:15:22Z",    "publishedBy": "string",    "cancelledAt": "2019-08-24T14:15:22Z",    "cancelledBy": "string",    "endedEarlyAt": "2019-08-24T14:15:22Z",    "endedEarlyBy": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  },  "rules": [    {      "id": "string",      "labId": "string",      "priceListVersionId": "string",      "targetKind": "product",      "productId": "string",      "bundleId": "string",      "shippingTypeId": "string",      "fixedPrice": "string",      "discountPercent": "string",      "overrides": {        "bandTable": {          "perArch": true,          "bands": [            {              "minCount": 1,              "price": "string",              "ponticPrice": "string",              "implantPrice": "string"            }          ],          "materialBands": {            "property1": [              {                "minCount": 1,                "price": "string",                "ponticPrice": "string",                "implantPrice": "string"              }            ],            "property2": [              {                "minCount": 1,                "price": "string",                "ponticPrice": "string",                "implantPrice": "string"              }            ]          },          "catalog": {            "perArch": true,            "bands": [              {                "minCount": 1,                "price": "string",                "ponticPrice": "string",                "implantPrice": "string"              }            ],            "materialBands": {              "property1": [                {                  "minCount": 1,                  "price": "string",                  "ponticPrice": "string",                  "implantPrice": "string"                }              ],              "property2": [                {                  "minCount": 1,                  "price": "string",                  "ponticPrice": "string",                  "implantPrice": "string"                }              ]            }          }        },        "surcharges": {          "implant": "string",          "pontic": "string"        },        "materialMarkups": {          "property1": {            "markupType": "value",            "markupValue": "string"          },          "property2": {            "markupType": "value",            "markupValue": "string"          }        },        "optionPrices": {          "property1": {            "property1": "string",            "property2": "string"          },          "property2": {            "property1": "string",            "property2": "string"          }        },        "switchPrices": {          "property1": "string",          "property2": "string"        }      },      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "productRules": [    {      "id": "string",      "labId": "string",      "priceListVersionId": "string",      "productId": "string",      "fixedPrice": "string",      "discountPercent": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "bundleRules": [    {      "id": "string",      "labId": "string",      "priceListVersionId": "string",      "bundleId": "string",      "fixedPrice": "string",      "discountPercent": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ]}
Empty
Empty
Empty
Empty
Empty
Empty